# Record Class CAStockRepositSetMove

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAStockRepositSetMove

Record Components:
  `instanceSource` - The existing stock instance
  `instanceTarget` - The target stock instance
  `toLocation` - The target storage location
  `count` - The item count

All Implemented Interfaces:
  `CAStockRepositType`

public record CAStockRepositSetMove(CAStockInstanceID instanceSource, CAStockInstanceID instanceTarget, CALocationID toLocation, long count) extends Record implements CAStockRepositType
An operation that moves stock from one storage location to another.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAStockRepositSetMove(CAStockInstanceID instanceSource, CAStockInstanceID instanceTarget, CALocationID toLocation, long count)`
  An operation that moves stock from one storage location to another.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `count()`
  Returns the value of the `count` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CAStockInstanceID`
  `instance()`
  `CAStockInstanceID`
  `instanceSource()`
  Returns the value of the `instanceSource` record component.
  `CAStockInstanceID`
  `instanceTarget()`
  Returns the value of the `instanceTarget` record component.
  `CALocationID`
  `toLocation()`
  Returns the value of the `toLocation` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAStockRepositSetMove

    public CAStockRepositSetMove(CAStockInstanceID instanceSource, CAStockInstanceID instanceTarget, CALocationID toLocation, long count)
    An operation that moves stock from one storage location to another.
    Parameters:
      `instanceSource` - The existing stock instance
      `instanceTarget` - The target stock instance
      `toLocation` - The target storage location
      `count` - The item count

- ## Method Details

  - ### instance

    public CAStockInstanceID instance()
    Specified by:
      `instance` in interface `CAStockRepositType`
    Returns:
      The stock instance

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### instanceSource

    public CAStockInstanceID instanceSource()
    Returns the value of the `instanceSource` record component.
    Returns:
      the value of the `instanceSource` record component

  - ### instanceTarget

    public CAStockInstanceID instanceTarget()
    Returns the value of the `instanceTarget` record component.
    Returns:
      the value of the `instanceTarget` record component

  - ### toLocation

    public CALocationID toLocation()
    Returns the value of the `toLocation` record component.
    Returns:
      the value of the `toLocation` record component

  - ### count

    public long count()
    Returns the value of the `count` record component.
    Returns:
      the value of the `count` record component